Apache Solr Admin UI 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1150139 漏洞类型 跨站脚本
发布时间 2016-02-14 更新时间 2017-07-26
CVE编号 CVE-2015-8796 CNNVD-ID CNNVD-201602-287
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
https://www.securityfocus.com/bid/85205
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201602-287
|漏洞详情
ApacheSolr是美国阿帕奇(Apache)软件基金会的一款基于Lucene(一个全文检索引擎的架构)的搜索服务器,它支持层面搜索、垂直搜索、高亮显示搜索结果、多种输出格式等。AdminUI是其中的一个管理员和程序员管理Solr配置的Web界面。ApacheSolr5.3之前版本的AdminUI中的webapp/web/js/scripts/schema-browser.js文件中存在跨站脚本漏洞。远程攻击者可借助特制的schema-browseURL利用该漏洞注入任意Web脚本或HTML。
|受影响的产品
IBM Websphere Portal 8.5 IBM Websphere Portal 8.0 Apache Solr 4.5.1 Apache Solr 4.4 Apache Solr 4.3.1 Apache Solr 3.6.1 Apache Solr 5.2.1
|参考资料

来源:issues.apache.org
链接:https://issues.apache.org/jira/browse/SOLR-7920